.\"	$NetBSD: hdh.4,v 1.10 2001/08/18 14:37:45 wiz Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)hdh.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt HDH 4 vax
.Os
.Sh NAME
.Nm hdh
.Nd
.Tn ACC
.Tn IF-11/HDH
.Tn IMP
network interface
.Sh SYNOPSIS
.Cd "pseudo-device imp"
.Cd "hdh0 at uba0 csr 166740 vector hdhintr"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
NOTE: At the moment,
.Nx
does not support
.Tn IMP ,
so this manual page is not relevant.
.Pp
The
.Nm hdh
device provides an
.Tn HDLC
Host
.Pq Tn HDH
interface to an
.Tn IMP .
It is normally used when participating
in the
.Tn DARPA
Internet.  The controller itself is not accessible
to users, but instead provides the hardware support to the
.Tn IMP
interface described in
.Xr imp 4 .
The configuration entry for the
.Tn IMP
must also include the
.Em pseudo-device
as shown above in the
.Sx SYNOPSIS .
.Sh DIAGNOSTICS
.Bl -diag
.It hdh%d: not alive.
The initialization routine was entered even though the device
did not autoconfigure.  This indicates a system problem.
.Pp
.It hdh%d: cannot get chan %d uba resources.
Insufficient
.Tn UNIBUS
resources existed to initialize the device.
This is likely to be a shortage of
.Tn UNIBUS
mapping registers.
.Pp
.It hdh%d: LINE UP.
This indicates that both the
.Tn HDLC
and
.Tn HDH
protocols have declared the
link to the
.Tn IMP
alive.
.Pp
.It hdh%d: LINE DOWN.
This indicates that the link to the
.Tn IMP
has died.
.Pp
.It hdh%d: TIMEOUT.
.It hdh%d: HOST DATA ERROR.
.It hdh%d: IMP SEQUENCE ERROR.
.It hdh%d: HOST SEQUENCE ERROR.
These errors indicate that an
.Tn HDH
protocol error has been detected.
.Pp
.It hdh%d: cannot get supervisor cmnd buffer.
This error indicates that an
.Em mbuf
could not be allocated to send a command to the
.Tn IF-11/HDH .
.El
.Pp
Any other error message from hdh%d: indicates a serious error
detected by either the driver or the
.Tn IF-11/HDH
firmware.
.Sh SEE ALSO
.Xr netintro 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.3 .
